Showing results for 
Search instead for 
Do you mean 

Oracle installation error

Highlighted
Occasional Advisor

Oracle installation error

[ Edited ]

Hi,

I am trying to setup Oracle 9i in our netwly purchased/intalled BL870c server running HP-UX 11.23. When i execute runInstaller, it immediately gives the error:

An unexpected exception has been detected in native code outside the VM.
Unexpected Signal : 11 occurred at PC=0xc2f20911
Function name=JNU_GetEnv
Library=/oracle/INA/stage/920_64/Disk1/install/hpunix/../../stage/Components/oracle.swd.jre/1.3.1.0.0a/1/DataFiles/Expanded/bin/../lib/IA64/libjava.so
Find attached detailed error log.

The install won't proceed. What to do?

Thanks
Ed

 

 

 

This thread has been moved from HP-UX>General to HP-UX > databases

5 REPLIES
Honored Contributor [Founder]

Re: Oracle installation error

Did you check that somethign basix like xclock at least works in the install context?

Did you try Google for "oracle JNU_GetEnv hp ux" ? Several hits. Notably:

http://forums.oracle.com/forums/thread.jspa?threadID=454258&tstart=15

It suggests to check the Java version. It may be too recent:
"JRE_LOCATION parameter to /opt/java1.4 in $ORACLE_HOME/oui/oraparam.ini."


but more importantly...

Why not install oracle 10.2 or better on that nice and shiny blade?

Cheers,
Hein.
Honored Contributor [Founder]

Re: Oracle installation error

Ed Velaso,
Looks like this is a java runtime error ,
Check oracle 9i install documentation for requied Java Runtime ersion and if it is installed or not ,

# swlist -l product | grep -i java
# cd /opt ; ls -l | grep -i java
# cd /opt/java/bin ; ./java -version


Hth,
Raj.
" If u think u can , If u think u cannot , - You are always Right . "
Honored Contributor [Founder]

Re: Oracle installation error

Hi,

I think its related java!
JAVA is not installed into your system please read what are the required software needs to install Oracle (i.

Suraj
Occasional Advisor

Re: Oracle installation error

HI Guys,

Thanks for the feedback. Very mush appreciated.

I already tried editing the oraparam.ini as suggested in Google search but it hangs.

# swlist -l product | grep -i java
ISEE-Java A.01.40.26 RST Java Runtime 1.4
Jdk14 1.4.2.15.00 Java2 1.4 SDK
Jdk15 1.5.0.09.00 Java 1.5 JDK
Jpi14 1.4.2.15.00 Java2 1.4 Netscape Plugin
Jre14 1.4.2.15.00 Java2 1.4 RTE
Jre15 1.5.0.09.00 Java 1.5 JRE
Jre15 1.5.0.17.00 Java 1.5 JRE

# ls -l | grep -i java
dr-xr-xr-x 8 bin bin 8192 Oct 12 17:17 java1.4
dr-xr-xr-x 8 bin bin 8192 Oct 12 17:16 java1.5

# java -version
java version "1.5.0.09"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0.09-_18_aug_2007_07_52)
Java HotSpot(TM) Server VM (build 1.5.0.09 jinteg:08.18.07-13:19 IA64, mixed mode)

Seems Java is present and correctly installed as suggested in the command outputs above.

Thanks,
ed
Acclaimed Contributor [Founder]

Re: Oracle installation error

>Seems Java is present and correctly installed as suggested in the command outputs above.

Yes but how do you tell Oracle to use your java and not the one that comes with it?